java.lang

## Class UnsupportedClassVersionError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.ClassFormatError
        - - java.lang.UnsupportedClassVersionError

All Implemented Interfaces:
  Serializable

    public class UnsupportedClassVersionError
    extends ClassFormatError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the major and minor version numbers in the file are not supported.

Since:
  1.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedClassVersionError()` Constructs a `UnsupportedClassVersionError` with no detail message.
`UnsupportedClassVersionError(String s)` Constructs a `UnsupportedClassVersionError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedClassVersionError

    public UnsupportedClassVersionError()

Constructs a `UnsupportedClassVersionError` with no detail message.

#### UnsupportedClassVersionError

    public UnsupportedClassVersionError(String s)

Constructs a `UnsupportedClassVersionError` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.